Twilio: Send SMS
Send an SMS message using Twilio via Pipedream integration.
Catalog action Integrations pipedream:twilio
Send an SMS message using Twilio via Pipedream integration.
At a Glance
| Field | Value |
|---|---|
| Action ID | twilio-send-sms |
| Category | Integrations |
| Connector | pipedream:twilio |
| Requires gas | No |
| Funds movement | None declared |
| Tags | pipedream, integration, oauth, twilio, sms, messaging, write |
Payload Schema
| Field | Type | Required | Description |
|---|---|---|---|
to | string | Yes | The destination phone number in E.164 format (e.g., +16175551212) |
body | string | Yes | The text of the message you want to send, limited to 1600 characters |
from | string | Yes | The sender's Twilio phone number in E.164 format (e.g., +16175551212) |
mediaUrl | array | No | URLs of media to send with the message (MMS). Max 10 URLs, 5MB per file. |
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | Yes | Whether the SMS was sent successfully |
data | object | No | Twilio API response data |
exports | object | No | Exported values from the action |
Examples
json{ "type": "twilio-send-sms", "payload": { "to": "example-to", "body": "example-body", "from": "example-from" }, "children": [], "connector": { "type": "pipedream:twilio", "id": "conn_pipedream_twilio" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/twilio-send-sms/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "to": "example-to", "body": "example-body", "from": "example-from" }}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
